Replace gantt and calendar tooltips with jquery tooltips
2019-09-07 23:21 - Anonymous

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

| think jquery tool-tips should also be used as gantt and calendar tool-tips which display brief information when rolling cursor over
issue lines of the timeline/calendar cells, because currently those kind of tool-tips in gantt/calendar aren't designed to spawn on the
left, right, below or over the issue lines, depending on which side a free space available, so the tool-tip wouldn't end up half cut
outside of the window.

| tested the way jquery tool-tips are displayed and saw that they actually support that kind of smart behavior.
Patch is to be posted.

Related issues:
Related to Redmine - Patch #31441: Show elements titles using jQuery Ul tooltips Closed

History

#1 - 2019-09-08 01:55 - Go MAEDA
- Related to Patch #31441: Show elements titles using jQuery Ul tooltips added

#2 - 2019-09-26 14:40 - Anonymous
- File jquery-tooltips-gantt+calendar.patch added
Attaching a very well working patch! :D

P.S. one thing | wasn't very sure about is the normal way to trigger a jquery tooltip, so | fed empty title tags in gantt.rb and _calendar.html.erb, in
order to make tool-tip events bind properly, else no worky :(

#3 - 2019-09-26 16:24 - Marius BALTEANU
Antonio McDeal wrote:
Attaching a very well working patch! :D
P.S. one thing | wasn't very sure about is the normal way to trigger a jquery tooltip, so | fed empty title tags in gantt.rb and _calendar.html.erb,

in order to make tool-tip events bind properly, else no worky :(

Nice job! I will help you with this. Also, we should preserve the white background for these tooltips.

#4 - 2019-09-30 17:27 - Anonymous
- File jquery-tooltips-gantt+calendar-v2.patch added
Marius BALTEANU wrote:
Nice job! I will help you with this. Also, we should preserve the white background for these tooltips.
I included your suggestion in an updated patch and introduced a new custom class called "white-tip" for those types of tool-tips. They re still jquery,
just with an this extra class to be able to restyle em slightly differently from other jquery toltips in CSS :D
| also moved all old tooltip styles to the new jquery tool-tips section in CSS, to keep things better grouped. | presume it was created once again by

mistake in a whole separate place, instead of adding to existing section of application.css :D

Now it's only the empty title tags on elements which needs to be reviewed, cuz I'm still not sure if there is other way to trigger tooltips, probably
without a need for a title tag :)
#5 - 2020-02-29 13:19 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2021-08-22 11:14 - Mischa The Evil

| think this would be a big improvement over the current, custom implementation.

#7 - 2022-07-30 06:36 - Go MAEDA
- File jquery-tooltips-gantt+calendar-v3.patch added

Updated the patch for the current trunk (r21744).

#8 - 2022-08-01 16:46 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#9 - 2023-08-15 11:11 - Go MAEDA

- Target version changed from 5.1.0 to Candidate for next major release

Files

jquery-tooltips-gantt+calendar.patch 3.18 KB 2019-09-26 Anonymous

jquery-tooltips-gantt+calendar-v2.patch 4.07 KB 2019-09-30 Anonymous

jquery-tooltips-gantt+calendar-v3.patch 3.69 KB 2022-07-30 Go MAEDA
